#include <iostream>
#include <vector>
#include <math.h>
#include "histogram.h"
#include "text.h"
#include "svg.h"

using namespace std;

    struct Input {
    vector<double>A;
    size_t bin{};
    };

Input
input_data()
{
    size_t n;
    cerr<<"Marks: ";
    cin>>n;

    Input in;
    in.A.resize(n);
     for (size_t i=0; i<n; i++)
    {
        cerr<<"A["<<i<<"]=";
        cin>>in.A[i];
    }

    cerr<<"Rows: ";
    cin>>in.bin;
    return in;
}

int main()
{
    Input in = input_data();
    auto B = make_histogram(in.A, in.bin);
    show_histogram_svg (B);
    123;

    return 0;
}
